/*
(C) 2007 Katsutoshi YAGISHITA (yagisita@spnet.ne.jp)
*/

var debug = false;

function parsePriceboard(target, body)
{
	if (!body)
		return false;

	var priceboard_top11 = "_ActionID=reloadStock";
	var priceboard_top12 = "XV";
	var priceboard_top2 = "<table";
	var priceboard_bottom11 = "Mpc(OT)";
	var priceboard_bottom12 = "ݎؔ{";
/*
	priceboard_bottom11 = ":window.close()";
	priceboard_bottom12 = "&nbsp;";
*/
	var priceboard_bottom2 = "</table>";

	var i1 = body.indexOf(priceboard_top11);
	if (i1 < 0) {
		i1 = body.indexOf(priceboard_top12);
		if (i1 < 0)
			return false;
	}
	i1 = body.indexOf(priceboard_top2, i1);
	if (i1 < 0)
		return false;

	var i2 = body.indexOf(priceboard_bottom11, i1);
	if (i2 < 0) {
		i2 = body.indexOf(priceboard_bottom12);
		if (i2 < 0)
			return false;
	}
	i2 = body.lastIndexOf(priceboard_bottom2, i2);
	if (i2 < 0)
		return false;
	i2 += priceboard_bottom2.length;

	bodystr = body.substring(i1, i2);
	
	var wrongtdtag = "<td width=\"275\" valign=\"top\">";
	var j = bodystr.indexOf(wrongtdtag);
	if (j >= 0)
		bodystr = bodystr.substring(0, j) + bodystr.substring(j + wrongtdtag.length);
	bodystr = bodystr.replace(new RegExp("<img[^>]*>", "gi"), "");

	if (target.finishFunc)
		target.finishFunc(bodystr, target, 0);

	return true;
}

var reqobj = null;
var codestr = null;

function getboardfunc(baseurl, code, market, callback, sessionheader)
{
	if (!baseurl || !code || !market)
		return false;

	var target = new Object();

	target.baseurl = baseurl;
	target.sessionheader = sessionheader;
	target.data = null;
	target.nonfatalerrors = "";
	target.finishFunc = callback;

	var boardurl = baseurl + "?_ControlID=WPLETstT016Control&_PageID=DefaultPID&_DataStoreID=DSWPLETstT016Control&&getFlg=on&_ActionID=DefaultAID" + "&stock_sec_code=" + code + "&exchange_code=" + market;
	if (debug)
		boardurl = "ETGate_board.html";

	getAndParseHtml(function (body) { parseEtradeHtml(parsePriceboard, target, body); }, boardurl, "GET", null, target.sessionheader);

	return true;
}

