/*
(C) 2007 Katsutoshi YAGISHITA (yagisita@spnet.ne.jp)
*/

var baseurlparamname = "baseurl";
var codeparamname = "code";
var marketparamname = "market";
var nameparamname = "name";
var jsessionparamname = "jsessioncookie";
var tokenparamname = "token";

function showpriceboard(c, m, n, bu, jsession, ext, path)
{
	if (!bu || bu.length == 0 || !c || !m)
		return;

	var ustr = ((path) ? path : "") + "etm2board.html" + createSearchStringForChild(c, m, n, bu, jsession, ext);

	window.open(ustr, "ETM2_priceboard_" + c + m, "width=290,height=520,location=no,menubar=no,personalbar=no,status=no,titlebar=no,toolbar=no");
}

function showchart(c, m, n, bu, jsession, ext, path)
{
	if (!bu || bu.length == 0 || !c || !m)
		return;

	var ustr = ((path) ? path : "") + "etm2chart.html" + createSearchStringForChild(c, m, n, bu, jsession, ext);

	window.open(ustr, "ETM2_chart_" + c + m, "width=240,height=360,location=no,menubar=no,personalbar=no,status=no,titlebar=no,toolbar=no");
}

function createSearchStringForChild(c, m, n, bu, jsession, ext)
{
	return "?" + (baseurlparamname + "=" + bu) + "&" + (codeparamname + "=" + c) + "&" + (marketparamname + "=" + m) + ((n) ? ("&" + (nameparamname + "=" + escape(n))) : "") + ((jsession) ? ("&" + (jsessionparamname + "=" + jsession)) : "") + ((ext) ? ext : "");
}

function createstringparam(p)
{
	if (!p)
		return "null";

	return "'" + p + "'";
}

function createchildscript(c, m, n, bu, jsession, ext, path, func)
{
	return "javascript:" + func + "(" + createstringparam(c) + ", " + createstringparam(m) + ", " + createstringparam(n) + ", " + createstringparam(bu) + ", " + createstringparam(jsession) + ", " + createstringparam(ext) + ", " + createstringparam(path) + ")";
}

function createpriceboardscript(c, m, n, bu, jsession, ext, path)
{
	return createchildscript(c, m, n, bu, jsession, ext, path, "showpriceboard");
}

function createchartscript(c, m, n, bu, jsession, ext, path)
{
	return createchildscript(c, m, n, bu, jsession, ext, path, "showchart");
}

function createquotehref(p, c, m, bu)
{
	return bu + p + "&" + ("stock_sec_code_mul=" + c) + "&" + ("exchange_code=" + m) + "&" + ("i_stock_sec=" + c) + "&" + ("i_exchange_code=" + m);
}

function createquotemainahref(c, m, bu)
{
	return createquotehref("?_ControlID=WPLETsiR001Control&_PageID=WPLETsiR001Ilst10&_ActionID=getDetailOfStockPriceJP&getFlg=on&i_output_type=0&i_dom_flg=1", c, m, bu);
}

function createquotechartahref(c, m, bu)
{
	return createquotehref("?_ControlID=WPLETsiR001Control&_PageID=WPLETsiR001Idtl30&_DataStoreID=DSWPLETsiR001Control&_ActionID=DefaultAID&s_rkbn=&s_btype=&i_output_type=2&i_dom_flg=1", c, m, bu);
}

var loginwindow = null;

function showlogin()
{
	loginwindow = window.open("https://www.sbisec.co.jp/ETGate/?_ControlID=WPLETlgR001Control&_PageID=WPLETlgR001Rlgn50&_DataStoreID=DSWPLETlgR001Control&_ActionID=login&getFlg=on", "ETM2_loginwindow", "width=460,height=300,location=yes,status=yes,scrollbars=yes");

	if (loginwindow)
		loginwindow.focus();
}

function getLoginLocation()
{
	if (loginwindow && loginwindow.location) {
		var d = loginwindow.document;
		var c = 0;
		if (d && d.links && (c = d.links.length) > 0) {
			var i;
			for (i = 0; i < c; ++i) {
				if (d.links[i].href.indexOf("_ActionID=logout") >= 0) {
					return "" + loginwindow.location;
				}
			}
		}
	}

	return null;
}

function showsuperchart(param)
{
	window.open("https://graph.sbisec.co.jp/sbisec/chartb.jsp" + param, "ETM2_chartwindow", "width=627,height=630");
}
