/*
(C) 2007 Katsutoshi YAGISHITA (yagisita@spnet.ne.jp)
*/

function settingParseBaseurl(s)
{
	var defaultproto = "https://";
	var defaultdomain = ".sbisec.co.jp";
	var defaultobject = "/ETGate/";

	if (!s || s.length == 0)
		return null;

	var burl = null;

	if (s.length == 1 && !isNaN(parseInt(s)))
		burl = defaultproto + "trading" + s + defaultdomain + defaultobject;
	else {
		var top = s.indexOf(defaultproto);
		top = (top >= 0) ? top + defaultproto.length : 0;
		var bottom = s.indexOf(defaultdomain, top);
		var ss = s.substring(top, (bottom > 0) ? bottom : s.length);
		if (ss.indexOf("trading") != 0 || (ss.indexOf(".") >= 0 || ss.indexOf("/") >= 0))
			return null;
		burl = defaultproto + ss + defaultdomain + defaultobject;
	}

	return burl;
}

function settingParseReloadinterval(s, min)
{
	var minimumreloadinterval = 10;
	if (min && min > 0)
		minimumreloadinterval = min;

	if (!s || s.length == 0)
		return 0;

	var n = parseInt(s);
	if (!n || isNaN(n))
		return 0;
	if (n < minimumreloadinterval)
		n = minimumreloadinterval;
	
	return n;
}
